## android 20140328-2310

=== debian/changelog ===
android (20140328-2310-0ubuntu2) trusty; urgency=medium

  * audio_hw.c-make-sure-we-don-t-double-free-if-it-s-th.patch:
    - Don't double free if the stream is also part of the primary
      output channel (LP: #1306797)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 11 Apr 2014 17:32:15 -0300

android (20140328-2310-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Adding support for deb (Nexus 7 2013 Mobile)
    - Fix alignment/sizing issues in the marshalling code for
      GraphicBuffers and Fences

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 30 Mar 2014 16:59:17 -0300

android (20140320-1352-0ubuntu3) trusty; urgency=medium

  * No change rebuild to pick up new kernels.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 28 Mar 2014 15:10:19 -0300

android (20140320-1352-0ubuntu2) trusty; urgency=medium

  * Fixing android arch id for recovery and system images

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 27 Mar 2014 11:40:04 -0300

android (20140320-1352-0ubuntu1) trusty; urgency=medium

  [ Dimitri John Ledkov ]
  * New upstream release.
  * Enable building x86 emulator images.
  * Drop openjdk build-dependency.

  [ Ricardo Salveti de Araujo ]
  * Fixing recovery's unused-parameters build errors

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 27 Mar 2014 02:34:37 -0300

android (20140228-2008-0ubuntu2) trusty; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 03 Mar 2014 15:56:59 -0300

android (20140228-2008-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot:
    - Dropping audio_hw.c-also-releasing-primary_output-with-output.patch,
      merged upstream
    - Reserving blocks for root in /data (LP: #1284629)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 28 Feb 2014 18:38:52 -0300

android (20140224-0005-0ubuntu2) trusty; urgency=medium

  * audio_hw.c-also-releasing-primary_output-with-output.patch:
    - Default output is not related by audioflinger, but in our case we
      always start/stop the stream when doing voice calls.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 28 Feb 2014 03:17:49 -0300

android (20140224-0005-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot:
    - recovery: Add Ubuntu icons for system image update
    - system-image-upgrader: 4.4.2 has a different format for recovery.fstab

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 23 Feb 2014 22:05:13 -0300

android (20140222-0129-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot:
    - Adding back the sound files used by camera-app
    - Fixing recovery to have a working mktemp, and setting stdout as
      line buffered by default, to avoid issues with busybox

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 21 Feb 2014 23:20:22 -0300

android (20140221-0310-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot:
    - Now based on AOSP 4.4.2

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 21 Feb 2014 02:31:29 -0300

android (20140115-0148-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot:
    - Enabling hwcomposer for grouper

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 15 Jan 2014 00:42:11 -0200

android (20131202-2236-0ubuntu7) trusty; urgency=medium

  * Splitting emulator package for easier image management.

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Mon, 06 Jan 2014 23:42:33 -0200

android (20131202-2236-0ubuntu6) trusty; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 23 Dec 2013 18:32:49 -0200

android (20131202-2236-0ubuntu5) trusty; urgency=low

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 19 Dec 2013 14:43:48 -0200

android (20131202-2236-0ubuntu4) trusty; urgency=low

  * Use openjdk-7.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Dec 2013 11:56:41 +0000

android (20131202-2236-0ubuntu3) trusty; urgency=low

  * Set more RAM in the emulator.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Dec 2013 10:51:32 +0000

android (20131202-2236-0ubuntu2) trusty; urgency=low

  * No change rebuild to pick up linux-goldfish 3.4.0-1.10 (LP: #1260023).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 11 Dec 2013 19:42:48 +0000

android (20131202-2236-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - Also using sparse system-based images for goldfish

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 02 Dec 2013 20:48:41 -0200

android (20131128-0457-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - Making brunch (and OTA) compatible with goldfish
  * debian/rules:
    - Handling both the device and product id properly, so we can have just
      one set of rules for all devices

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 28 Nov 2013 19:07:42 -0200

android (20131126-0210-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - run-emulator.sh: adding support for disk snapshots (LP: #1253802)
    - goldfish: reducing system and userdata image sizes
  * debian/android.install.in: adding the emulator images to the android
    package

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 26 Nov 2013 00:31:04 -0200

android (20131125-1710-0ubuntu1) trusty; urgency=low

  * New upstream release
    - Fix permissions of system.img and SWAP.img

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 25 Nov 2013 13:52:59 -0500

android (20131122-1710-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 22 Nov 2013 17:59:46 +0000

android (20131120-0225-0ubuntu3) trusty; urgency=low


