=== debian/control ===
Source: android
Section: non-free/otherosfs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dmitrijs Ledkovs <xnox@ubuntu.com>
Build-Depends: debhelper (>= 9),
  g++-multilib,
  gcc-arm-linux-androideabi, devscripts,
  gcc-i686-linux-android, dh-exec,
  python3-apt,
  gnupg, flex, bison, gperf,
  zip, unzip, curl, libncurses5-dev, x11proto-core-dev,
  libx11-dev, libreadline6-dev, libgl1-mesa-glx,
  libsdl-dev, libesd0-dev,
  libgl1-mesa-dev, mingw32, tofrodos, bsdiff,
  python-markdown, libxml2-utils, xsltproc, zlib1g-dev, schedtool,
  patchutils, quilt, lsb-release, android-src-vendor (>= 6)
Standards-Version: 3.9.4

Package: android
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: android Ubuntu Touch images
 This is the android portion of Ubuntu Touch images.

Package: android-emulator
Depends: ubuntu-emulator-runtime, ubuntu-emulator-images, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: ubuntu-emulator-runtime
Architecture: i386
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-utils, libgl1-mesa-glx
Replaces: android-emulator (<< 20131202-2236-0ubuntu7~)
Breaks: android-emulator (<< 20131202-2236-0ubuntu7~)
Description: Ubuntu Touch emulator runtime
 Emulator for the Ubuntu Touch images.
 .
 This package provides the runtime.

Package: ubuntu-emulator-images
Architecture: i386
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, ubuntu-emulator-runtime (= ${binary:Version})
Replaces: android-emulator (<< 20131202-2236-0ubuntu7~)
Breaks: android-emulator (<< 20131202-2236-0ubuntu7~)
Description: Ubuntu Touch emulator
 Emulator for the Ubuntu Touch images.
 .
 This package provides the images.

Package: android-copyright
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dummy package with android copyright files
 This is a dummy package shipping android copyright files
