=== debian/watch ===
version=3
http://phablet.ubuntu.com/export/android-(\d+-\d+)\.tar\.xz
