## android 20140922-1903

=== debian/changelog ===
android (20140922-1903-0ubuntu4) utopic; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 17 Oct 2014 10:52:37 -0300

android (20140922-1903-0ubuntu3) utopic; urgency=medium

  * No change rebuild to pick up initramfs changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 25 Sep 2014 23:25:02 -0300

android (20140922-1903-0ubuntu2) utopic; urgency=medium

  * No change rebuild to pick up latest kernel packages.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 23 Sep 2014 00:01:06 -0300

android (20140922-1903-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot:
   - Removing workaround to force adb while booting, as that's now handled
     by the developer mode.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 22 Sep 2014 16:54:45 -0300

android (20140902-2009-0ubuntu3) utopic; urgency=medium

  * No change rebuild to pick up initramfs changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 19 Sep 2014 01:19:03 -0300

android (20140902-2009-0ubuntu2) utopic; urgency=medium

  * No change rebuild to pick up initramfs changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 16 Sep 2014 13:15:45 -0300

android (20140902-2009-0ubuntu1) utopic; urgency=medium

  * New upstream release:
   - Dropping patches that are already upstream
   - Enabling recovery option to set up the password when flashing

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 02 Sep 2014 19:32:47 -0300

android (20140806-1958-0ubuntu2) utopic; urgency=medium

  * goldfish-egl-initial-support-for-surface-resize.patch:
    - Initial support for surface resize (LP: #1351097)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 11 Aug 2014 00:11:26 -0300

android (20140806-1958-0ubuntu1) utopic; urgency=medium

  * New upstream release:
   - Migrating record thread logic from hybris to frameworks/av

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 06 Aug 2014 18:04:10 -0300

android (20140805-2156-0ubuntu1) utopic; urgency=medium

  * New upstream release:
   - Adding support for video decoding with audio (via camera-service) and
     pulseaudio

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 05 Aug 2014 22:01:54 -0300

android (20140805-0353-0ubuntu3) utopic; urgency=medium

  * debian/control: adding missing g++-4.8-multilib

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 05 Aug 2014 05:42:40 -0300

android (20140805-0353-0ubuntu2) utopic; urgency=medium

  * Build host tools and binaries with gcc 4.8 by default to avoid
    unexpected issues

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 05 Aug 2014 04:55:03 -0300

android (20140805-0353-0ubuntu1) utopic; urgency=medium

  * Disable constant healthd kernel log updates
  * Sync latest apns-conf from AOSP
  * Adding giffgaff apns entry (LP: #1352247)
  * Updating upstart-property-watcher to use a hashmap

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 05 Aug 2014 01:56:01 -0300

android (20140728-0202-0ubuntu1) utopic; urgency=medium

  * New upstream release:
   - Adding sdcard support for the emulator

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 27 Jul 2014 23:42:38 -0300

android (20140724-0552-0ubuntu1) utopic; urgency=medium

  * New upstream release:
   - Fix BufferQueue ABI to work with precompiled modules
   - Including build for hammerhead

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 24 Jul 2014 19:36:48 -0300

android (20140716-2026-0ubuntu1) utopic; urgency=medium

  * New upstream release:
   - Decreasing swap from 512MB to 32MB
   - Enabling swap while flashing via recovery
   - Adding ubuntu device specific configs for flo and hammerhead

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 16 Jul 2014 20:46:16 -0300

android (20140624-1505-0ubuntu5) utopic; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 15 Jul 2014 13:39:37 -0300

android (20140624-1505-0ubuntu4) utopic; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 11 Jul 2014 13:20:48 -0300

android (20140624-1505-0ubuntu3) utopic; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 08 Jul 2014 20:09:39 -0300

android (20140624-1505-0ubuntu2) utopic; urgency=medium

  * No change rebuild to pick up latest kernel packages.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 07 Jul 2014 19:51:24 -0300

android (20140624-1505-0ubuntu1) utopic; urgency=medium

  * New upstream release:
   - Recovery:
     - Renaming system image to ubuntu.img
     - Removing options that are not used by ubuntu
   - Adding fstab for emulator's recovery
   - Adding camera_service (for camera recording)
   - Fixing user permission for leds

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 24 Jun 2014 16:39:21 -0300

android (20140529-0510-0ubuntu4) utopic; urgency=medium

  * Adding allow-unauthenticated in case building in a PPA

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 20 Jun 2014 13:56:11 -0300

android (20140529-0510-0ubuntu3) utopic; urgency=medium

  * No change rebuild to pick up platform-api changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 20 Jun 2014 12:44:39 -0300

android (20140529-0510-0ubuntu2) utopic; urgency=medium

  * debian/patches/0001-apns-conf-fixing-system-output-path.patch:
    - Fixing apns-conf file path in /system

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 29 May 2014 18:50:06 +0200


