=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Dmitrijs Ledkovs <xnox@ubuntu.com>
 Build-Depends: debhelper (>= 9),
-  g++-multilib,
+  g++-multilib, g++-4.8-multilib, gcc-4.8, g++-4.8,
   gcc-arm-linux-androideabi, devscripts,
   gcc-i686-linux-android, dh-exec,
   python3-apt,
