=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 #export http_proxy=http://127.0.9.1:9
 #export https_proxy=http://127.0.9.1:9
 
+# Required when landing via a silo
+LANDING_URL = http://ppa.launchpad.net/ci-train-ppa-service/landing-003/ubuntu
 ifeq ($(wildcard /CurrentlyBuilding),)
 MAIN_URL  = http://archive.ubuntu.com/ubuntu
 PORTS_URL = http://ports.ubuntu.com
@@ -55,9 +57,12 @@
 	echo "deb-src $(MAIN_URL) $(dist)-proposed main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
 	echo "deb [arch=i386] $(MAIN_URL) $(dist)-security main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
 	echo "deb-src $(MAIN_URL) $(dist)-security main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
+	# Landing PPA
+	echo "deb [arch=armhf,i386] $(LANDING_URL) $(dist) main" >> repo/$(dist)/etc/apt/sources.list
+	echo "deb-src $(LANDING_URL) $(dist) main" >> repo/$(dist)/etc/apt/sources.list
 	cat repo/$(dist)/etc/apt/sources.list
 	chdist --data-dir $(CURDIR)/repo apt-get $(dist) update
-	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch armhf apt-get $(dist) source $(SRC)
+	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch armhf apt-get $(dist) --allow-unauthenticated source $(SRC)
 	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch armhf apt-get $(dist) download ubuntu-touch-generic-initrd:armhf initramfs-tools-ubuntu-touch:armhf
 	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch i386 apt-get $(dist) download ubuntu-touch-generic-initrd:i386 initramfs-tools-ubuntu-touch:i386
 	mkdir -p stamps && touch $@
@@ -148,7 +153,3 @@
 
 copyright:
 	cp debian/copyright.header debian/copyright
-	find $(if $(COPYRIGHT_ALL),.,$(SOURCES)) -name NOTICE | xargs -L1 ./debian/notice.sh >> $(if $(COPYRIGHT_ALL),debian/$(DEB_SOURCE).copyright,debian/copyright)
-	$(if $(COPYRIGHT_ALL),cp debian/$(DEB_SOURCE).copyright debian/android-copyright.copyright)
-
-.PHONY: build build-arch build-indep get-orig-source copyright
