## android 20141117-0039

=== debian/changelog ===
android (20141117-0039-0ubuntu11) vivid; urgency=medium

  * Replace obsolete mingw32 build-dep with g++-mingw-w64-i686 instead.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 08 Feb 2015 23:24:10 -0700

android (20141117-0039-0ubuntu10) vivid; urgency=medium

  * recovery-add-factory_wipe-enable-toggle-to-support-s.patch:
    - Add factory_wipe enable toggle to support special mode

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sat, 07 Feb 2015 00:38:15 -0200

android (20141117-0039-0ubuntu9) vivid; urgency=medium

  * No change rebuild to pick up platform-api changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 28 Jan 2015 17:00:09 -0200

android (20141117-0039-0ubuntu8) vivid; urgency=medium

  * No change rebuild to pick up initramfs changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sat, 24 Jan 2015 19:34:34 -0200

android (20141117-0039-0ubuntu7) vivid; urgency=medium

  * No change rebuild to pick up latest kernel packages.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 20 Jan 2015 20:01:08 -0200

android (20141117-0039-0ubuntu6) vivid; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 15 Jan 2015 00:50:27 -0200

android (20141117-0039-0ubuntu5) vivid; urgency=medium

  [ Ricardo Mendoza ]
  * debian/patches/emulator-Release-GL-and-thread-resources-owned-by.patch
    - Releasing GL and thread resources owned by RenderThread
      (LP: #1319582)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 12 Dec 2014 14:42:44 -0200

android (20141117-0039-0ubuntu4) vivid; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 08 Dec 2014 16:48:33 -0200

android (20141117-0039-0ubuntu3) vivid; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 25 Nov 2014 15:13:33 -0200

android (20141117-0039-0ubuntu2) vivid; urgency=medium

  * No change rebuild to pick up initramfs changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 18 Nov 2014 22:21:39 -0200

android (20141117-0039-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - Checking partitions and filesystems when updating (LP: #1387214)
  * Dropping changing_series_to_vivid.patch and
    fixing-adb-lock-inhibition.patch, both already upstream

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 17 Nov 2014 11:21:45 -0200

android (20141104-2240-0ubuntu4) vivid; urgency=medium

  * No change rebuild to pick up initramfs changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 11 Nov 2014 20:38:23 -0200

android (20141104-2240-0ubuntu3) vivid; urgency=medium

  * debian/patches/fixing-adb-lock-inhibition.patch:
    - Fixing function call for adb lock/unlock

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 10 Nov 2014 11:11:28 -0200

android (20141104-2240-0ubuntu2) utopic; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 05 Nov 2014 21:46:22 -0200

android (20141104-2240-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - Adding hook in recovery to force adb by default when flashing
      a new image

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 05 Nov 2014 03:04:54 -0200

android (20140922-1903-0ubuntu7) vivid; urgency=medium

  * debian/patches/changing_series_to_vivid.patch:
    - Forcing vivid when downloading the initrd and kernel packages

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 31 Oct 2014 01:59:36 -0400

android (20140922-1903-0ubuntu6) vivid; urgency=medium

  * Disabling PPA address as we're not landing this via a silo.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 31 Oct 2014 01:31:21 -0400

android (20140922-1903-0ubuntu5) vivid; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 30 Oct 2014 23:05:35 -0400
