=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
   zip, unzip, curl, libncurses5-dev, x11proto-core-dev,
   libx11-dev, libreadline6-dev, libgl1-mesa-glx,
   libsdl-dev, libesd0-dev,
-  libgl1-mesa-dev, mingw32, tofrodos, bsdiff,
+  libgl1-mesa-dev, g++-mingw-w64-i686, tofrodos, bsdiff,
   python-markdown, libxml2-utils, xsltproc, zlib1g-dev, schedtool,
   patchutils, quilt, lsb-release, android-src-vendor (>= 6)
 Standards-Version: 3.9.4
