=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #export https_proxy=http://127.0.9.1:9
 
 # Required when landing via a silo
-LANDING_URL = http://ppa.launchpad.net/ci-train-ppa-service/landing-003/ubuntu
+LANDING_URL = http://ppa.launchpad.net/ci-train-ppa-service/landing-002/ubuntu
 ifeq ($(wildcard /CurrentlyBuilding),)
 MAIN_URL  = http://archive.ubuntu.com/ubuntu
 PORTS_URL = http://ports.ubuntu.com
@@ -23,7 +23,9 @@
 getkernel = $(shell egrep "^$(1)\s" debian/android-targets | awk -F' ' '{print $$3}')
 getarch = $(shell egrep "^$(1)\s" debian/android-targets | awk -F' ' '{print $$4}')
 
-dist=$(DEB_DISTRIBUTION)
+# Forcing dist to vivid as we're still building this package on a utopic PPA (arch:all needs amd64 on vivid)
+# dist=$(DEB_DISTRIBUTION)
+dist=vivid
 
 export BUILD_ID=$(dist)
 export BUILD_NUMBER=$(DEB_VERSION)
@@ -123,7 +125,6 @@
 		out/host/linux-x86/bin/simg2img \
 		out/host/linux-x86/lib/ \
 		out/host/linux-x86/usr/ \
-		out/host/linux-x86/framework/ \
 		development/tools/emulator/skins \
 		| tar -C debian/ubuntu-emulator-runtime/usr/share/android/emulator/ -x
 	# ubuntu-emulator-images images/data
